List Alert Configs

GET https://api.podengine.ai/api/v1/alerts/alert-configs

Get all of the team's alert configurations.

Request

Query parameters

enabledboolean

Filter by enabled status; omit to include both. Currently any nonempty query string, including the text false, is coerced to true.

ID of the alert configuration.

sortByenum

Field to sort by; defaults to lastRunDate.

lastRunDatealertName

Sort direction; defaults to descending.

ascdesc

Response

200 application/json
statusliteral: OKrequired
dataobjectrequired2 fields
optionsobjectrequired4 fields
enabledboolean

Filter by enabled status; omit to include both. Currently any nonempty query string, including the text false, is coerced to true.

ID of the alert configuration.

sortByenum

Field to sort by; defaults to lastRunDate.

lastRunDatealertName

Sort direction; defaults to descending.

ascdesc
alertConfigsarray of objectrequired12 fields
idstringrequired
createdByUserIdstringrequired
teamIdstringrequired
createdAtdaterequired
updatedAtdaterequired
alertNamestringrequired
alertTypeenumrequired
personcompanycustom-keyword
enabledbooleanrequired
alertSettingsintersectionrequired
emailSettingsobjectrequired1 field
frequencyenumrequired

How often alert email notifications should be sent.

hourlydailyweekly
lastRunDatedaterequirednullable
subjectNoteCheckobjectnullable2 fields

Person and company alerts: the note check of the "Who is this?" note this alert uses. Null when there is no note.

statusenumrequired

passed: matches are checked for the right person or company. failed: see missing. pending: not checked yet.

passedfailedpending
missingstringrequirednullable

When the check failed, what the note needs to tell them apart, e.g. "Add their role or company."